ESXI Error: Could not find a trusted signer: certificate is not yet valid

It’s been a while and there is plenty of reasons for that, but namely… I got a new job!

Anywho, here is a good one I encountered when trying to update an ESXI host.

Could not find a trusted signer: certificate is not yet valid

Failed to setup patcher for upgrade

Full error and command

I hadn’t used this host in a hot minute and one thing I know is that SSL Certs are time/date-based. I took a look at the date and time in ESXI and lo and behold found an incorrect date.

The incorrect date!

After setting the correct date, I re-ran the command and the ESXI update completed successfully. I also set the server to use NTP so this doesn’t pop up again.

Leave a Reply

Your email address will not be published.